Saltar al contenido principal
POST
/
api
/
v1
/
agents
/
{agent_id}
/
runs
/
{run_id}
/
wake
Python (SDK)
from mka1 import SDK, models


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.agent_runs.wake_agent_run(agent_id="<id>", run_id="<id>", input=[
        models.WakeAgentRunRequestInput(),
    ])

    # Handle response
    print(res)
{
  "object": "agent.run.wake",
  "run_id": "<string>",
  "gateway_response_id": "<string>",
  "gateway_wake": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

agent_id
string
requerido
run_id
string
requerido

Cuerpo

application/json
input
requerido
Required string length: 1 - 20000

Respuesta

Se ha aceptado la señal de activación.

object
enum<string>
requerido
Opciones disponibles:
agent.run.wake
run_id
string
requerido
gateway_response_id
string
requerido
gateway_wake
object
requerido